Subject: Re: bug#73308: [PATCH] Add file-to-register and buffer-to-register.

From: Michael Heerdegen <[email-masked]>
Date: Tue, 17 Sep 2024 21:18:49 +0200

Thierry Volpiatto <[email-masked]> writes:

> More or less you can have the same with point-to-register, the advantage
> is that when you kill the buffer, the register-alist entry is turned in
> a file-query entry (when buffer is representing a file of course), for
> example from register.el buffer:
>
> C-x r <SPC> RET

I'm worrying a bit: with this patch we would have 3 different types of
registers that would really be very similar.  The user would have to
think about which is appropriate when setting the register.  Or - if the
question doesn't matter - why have 3 different types?

Michael.